[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TLogCategoryEvent

Callback type to return custom category code

## Declaration

Source position: eventlog.pp line 28

`type TLogCategoryEvent = procedure(`
`Sender: TObject;`
`var Code: Word`
`) of object;`

## Arguments

`Sender` |  | TEventLog instance that triggered the event
`Code` |  | OS category code

## Description

TLogCategoryEvent is the event type for the TEventLog.OnGetCustomCategory event handler. It should return a OS event category code for the etCustom log event type in the Code parameter.

## See also

TEventLog.OnGetCustomCategory |  | Event to retrieve custom message category
TLogCodeEvent |  | Callback type to retrieve custom event codes